<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.VBox?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.Separator?>
<VBox alignment="CENTER" spacing="20.0" xmlns:fx="http://javafx.com/fxml"
      fx:controller="net.liceo.navegador.NavegadorController">
    <padding>
        <Insets bottom="20.0" left="20.0" right="20.0" top="20.0"/>
    </padding>
    <HBox alignment="CENTER" spacing="20.0">
        <Label text="Ficheiro: "/>
        <TextField fx:id="filenameTF" minWidth="100" maxWidth="500" prefWidth="400" onAction="#onGoButton"/>
        <Button text="Go" onAction="#onGoButton"/>
    </HBox>
    <Separator />
    <HBox alignment="CENTER" spacing="20.0">
        <VBox fx:id="vBoxListFiles" spacing="20.0"  minWidth="400" prefWidth="400" maxWidth="500">
            <Label  text="Lista de ficheiros" textFill="blue"/>
            <Separator />
            <Label fx:id="feedbackL" textFill="red" />
        </VBox>
        <VBox spacing="20.0" maxWidth="350">
                <Label text="Information about file" textFill="blue"/>
                <Separator />
                <Label text="Path: " textFill="blue"/>
                <Label fx:id="pathL" textFill="darkgray" text="absolute path to the file" wrapText="true"/>
                <Label text="Last modified: " textFill="blue"/>
                <Label fx:id="lastModL" textFill="darkgray" text="the last modified of file/directory"/>
        </VBox>
    </HBox>

</VBox>
